export const EXPORT_TYPE = Object.freeze({ CSV: 'csv' })
export const PAGINATION = Object.freeze({ PREVIOUS: 'previous', NEXT: 'next' })
export const OBJECT_STATE_GROUPS = Object.freeze([
    [
        'linked',
        'serverBlocked',
        'deleteCandidate',
        'serverDeleteProhibited',
        'serverTransferProhibited',
        'serverUpdateProhibited',
        'serverRegistrantChangeProhibited',
        'serverRenewProhibited',
    ],
    [
        'conditionallyIdentifiedContact',
        'identifiedContact',
        'validatedContact',
        'mojeidContact',
    ],
    [
        'contactPassedManualVerification',
        'contactInManualVerification',
        'contactFailedManualVerification',
    ],
    [
        'serverOutzoneManual',
        'serverInzoneManual',
    ],
    [
        'expirationWarning',
        'deleteWarning',
        'validationWarning1',
        'validationWarning2',
        'unguarded',
        'outzoneUnguarded',
        'nssetMissing',
        'expired',
        'outzone',
        'notValidated',
        'outzoneUnguardedWarning',
        'serverContactNameChangeProhibited',
        'serverContactOrganizationChangeProhibited',
        'serverContactIdentChangeProhibited',
        'serverContactPermanentAddressChangeProhibited',
        'premiumDomain',
        'serverLinkProhibited',
    ],
])
export const DATETIME_FORMATS = Object.freeze({
    LOCALIZED_SHORT_DATE: 'll',
    LOCALIZED_TIME: 'LTS',
    LOCALIZED_SHORT_DATE_LOCALIZED_TIME: 'll LTS',
    UTC_OFFSET: 'Z',
    TIME_ZONE_ABBREVIATION: 'z',
    LOCALIZED_TIME_TIME_ZONE_ABBREVIATION: 'LTS z',
    LOCALIZED_SHORT_DATE_LOCALIZED_TIME_TIME_ZONE_ABBREVIATION: 'll LTS z',
    TIME: 'HH:mm:ss',
    TIME_TIME_ZONE_ABBREVIATION: 'HH:mm:ss z',
    TIME_WITH_UTC_OFFSET: 'HH:mm:ssZ',
    LOCALIZED_SHORT_DATE_TIME_MILLIS_TIME_ZONE_ABBREVIATION: 'll HH:mm:ss.SSS z',
    DATE_HYPHENED: 'YYYY-MM-DD',
    DATE_HYPHENED_T_TIME: 'YYYY-MM-DDTHH:mm:ss',
    DATE_HYPHENED_T_TIME_HYPHENED: 'YYYY-MM-DDTHH-mm-ss',
    DATE_HYPHENED_T_TIME_WITH_UTC_OFFSET: 'YYYY-MM-DDTHH:mm:ssZ',
    SHORT_DATE_TIME: 'D. MMM YYYY HH:mm:ss',
})
